Loading...
Searching...
No Matches
casacore::TaQLNodeHRValue Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Class containing the result value of the handling of a TaQLNode. More...

`#include <TaQLNodeHandler.h>`

## Public Member Functions

| TaQLNodeHRValue ()
| TaQLNodeHRValue (const TableExprNode &expr)
| ~TaQLNodeHRValue () override=default
Int | getInt () const
| Get the values.
const String & | getString () const
const String & | getAlias () const
const String & | getNameMask () const
const String & | getDtype () const
const Record & | getRecord () const
const ValueHolder & | getValueHolder () const
const Table & | getTable () const
const TableExprNode & | getExpr () const
const TableExprNodeSetElem * | getElem () const
const TableExprNodeSet & | getExprSet () const
const Vector< String > & | getNames () const
void | setInt (Int ival)
| Set the values.
void | setString (const String &str)
void | setAlias (const String &alias)
void | setNameMask (const String &nameMask)
void | setDtype (const String &dtype)
void | setRecord (const Record &record)
void | setValueHolder (const ValueHolder &vh)
void | setTable (const Table &table)
void | setExpr (const TableExprNode &expr)
void | setElem (TableExprNodeSetElem *elem)
void | setExprSet (TableExprNodeSet *set)
void | setNames (const Vector< String > &names)
Public Member Functions inherited from casacore::TaQLNodeResultRep
| TaQLNodeResultRep ()
| Default constructor.
virtual | ~TaQLNodeResultRep ()=default
| Destructor.
| TaQLNodeResultRep (const TaQLNodeResultRep &)=delete
| Letter objects cannot be copied.
TaQLNodeResultRep & | operator= (const TaQLNodeResultRep &)=delete

## Private Attributes

Int | itsInt
String | itsString
String | itsAlias
String | itsNameMask
String | itsDtype
Record | itsRecord
ValueHolder | itsVH
Table | itsTable
TableExprNode | itsExpr
TableExprNodeSetElem * | itsElem
TableExprNodeSet * | itsSet
Vector< String > | itsNames

## Detailed Description

Class containing the result value of the handling of a TaQLNode.

### Intended use:

Internal

### Review Status

Test programs:
  tTableGram

### Prerequisite

- TaQLNodeResult
- TaQLNodeHandler
- Note 199 describing TaQL

### Synopsis

TaQLNodeHRValue is a specialization of class TaQLNodeResultRep. It contains the values resulting from handling a particular node. The object is effectively a collection of all possible values that need to be returned. Which values are filled in, depends on which node has been processed.
Note: The getHR function in TaQLNodeHandler is very useful to extract/cast the TaQLNodeHRValue object from the general TaQLNodeResult object;

Definition at line 244 of file TaQLNodeHandler.h.

## Constructor & Destructor Documentation

## TaQLNodeHRValue() [1/2]

casacore::TaQLNodeHRValue::TaQLNodeHRValue | ( |  | ) |

inline

Definition at line 247 of file TaQLNodeHandler.h.

References itsElem, itsInt, itsNames, and itsSet.

## TaQLNodeHRValue() [2/2]

casacore::TaQLNodeHRValue::TaQLNodeHRValue | ( | const TableExprNode & | expr | ) |

inline

Definition at line 249 of file TaQLNodeHandler.h.

References itsElem, itsExpr, itsInt, itsNames, and itsSet.

## ~TaQLNodeHRValue()

casacore::TaQLNodeHRValue::~TaQLNodeHRValue | ( |  | ) |

override default

## Member Function Documentation

## getAlias()

const String & casacore::TaQLNodeHRValue::getAlias | ( |  | ) | const

inline

Definition at line 259 of file TaQLNodeHandler.h.

References itsAlias.

## getDtype()

const String & casacore::TaQLNodeHRValue::getDtype | ( |  | ) | const

inline

Definition at line 263 of file TaQLNodeHandler.h.

References itsDtype.

## getElem()

const TableExprNodeSetElem * casacore::TaQLNodeHRValue::getElem | ( |  | ) | const

inline

Definition at line 273 of file TaQLNodeHandler.h.

References itsElem.

## getExpr()

const TableExprNode & casacore::TaQLNodeHRValue::getExpr | ( |  | ) | const

inline

Definition at line 271 of file TaQLNodeHandler.h.

References itsExpr.

## getExprSet()

const TableExprNodeSet & casacore::TaQLNodeHRValue::getExprSet | ( |  | ) | const

inline

Definition at line 275 of file TaQLNodeHandler.h.

References itsSet.

## getInt()

Int casacore::TaQLNodeHRValue::getInt | ( |  | ) | const

inline

Get the values.

Definition at line 255 of file TaQLNodeHandler.h.

References itsInt.

## getNameMask()

const String & casacore::TaQLNodeHRValue::getNameMask | ( |  | ) | const

inline

Definition at line 261 of file TaQLNodeHandler.h.

References itsNameMask.

## getNames()

const Vector< String > & casacore::TaQLNodeHRValue::getNames | ( |  | ) | const

inline

Definition at line 277 of file TaQLNodeHandler.h.

References itsNames.

## getRecord()

const Record & casacore::TaQLNodeHRValue::getRecord | ( |  | ) | const

inline

Definition at line 265 of file TaQLNodeHandler.h.

References itsRecord, and casacore::Record().

## getString()

const String & casacore::TaQLNodeHRValue::getString | ( |  | ) | const

inline

Definition at line 257 of file TaQLNodeHandler.h.

References itsString.

## getTable()

const Table & casacore::TaQLNodeHRValue::getTable | ( |  | ) | const

inline

Definition at line 269 of file TaQLNodeHandler.h.

References itsTable.

## getValueHolder()

const ValueHolder & casacore::TaQLNodeHRValue::getValueHolder | ( |  | ) | const

inline

Definition at line 267 of file TaQLNodeHandler.h.

References itsVH.

## setAlias()

void casacore::TaQLNodeHRValue::setAlias | ( | const String & | alias | ) |

inline

Definition at line 288 of file TaQLNodeHandler.h.

References itsAlias.

## setDtype()

void casacore::TaQLNodeHRValue::setDtype | ( | const String & | dtype | ) |

inline

Definition at line 292 of file TaQLNodeHandler.h.

References itsDtype.

## setElem()

void casacore::TaQLNodeHRValue::setElem | ( | TableExprNodeSetElem * | elem | ) |

inline

Definition at line 302 of file TaQLNodeHandler.h.

References itsElem.

## setExpr()

void casacore::TaQLNodeHRValue::setExpr | ( | const TableExprNode & | expr | ) |

inline

Definition at line 300 of file TaQLNodeHandler.h.

References itsExpr.

## setExprSet()

void casacore::TaQLNodeHRValue::setExprSet | ( | TableExprNodeSet * | set | ) |

inline

Definition at line 304 of file TaQLNodeHandler.h.

References itsSet.

## setInt()

void casacore::TaQLNodeHRValue::setInt | ( | Int | ival | ) |

inline

Set the values.

If a pointer is given, it takes over the pointer.

Definition at line 284 of file TaQLNodeHandler.h.

References itsInt.

## setNameMask()

void casacore::TaQLNodeHRValue::setNameMask | ( | const String & | nameMask | ) |

inline

Definition at line 290 of file TaQLNodeHandler.h.

References itsNameMask.

## setNames()

void casacore::TaQLNodeHRValue::setNames | ( | const Vector< String > & | names | ) |

inline

Definition at line 306 of file TaQLNodeHandler.h.

References itsNames.

## setRecord()

void casacore::TaQLNodeHRValue::setRecord | ( | const Record & | record | ) |

inline

Definition at line 294 of file TaQLNodeHandler.h.

References itsRecord, and casacore::Record().

## setString()

void casacore::TaQLNodeHRValue::setString | ( | const String & | str | ) |

inline

Definition at line 286 of file TaQLNodeHandler.h.

References itsString.

## setTable()

void casacore::TaQLNodeHRValue::setTable | ( | const Table & | table | ) |

inline

Definition at line 298 of file TaQLNodeHandler.h.

References itsTable.

## setValueHolder()

void casacore::TaQLNodeHRValue::setValueHolder | ( | const ValueHolder & | vh | ) |

inline

Definition at line 296 of file TaQLNodeHandler.h.

References itsVH.

## Member Data Documentation

## itsAlias

String casacore::TaQLNodeHRValue::itsAlias

private

Definition at line 313 of file TaQLNodeHandler.h.

Referenced by getAlias(), and setAlias().

## itsDtype

String casacore::TaQLNodeHRValue::itsDtype

private

Definition at line 315 of file TaQLNodeHandler.h.

Referenced by getDtype(), and setDtype().

## itsElem

TableExprNodeSetElem* casacore::TaQLNodeHRValue::itsElem

private

Definition at line 320 of file TaQLNodeHandler.h.

Referenced by getElem(), setElem(), TaQLNodeHRValue(), and TaQLNodeHRValue().

## itsExpr

TableExprNode casacore::TaQLNodeHRValue::itsExpr

private

Definition at line 319 of file TaQLNodeHandler.h.

Referenced by getExpr(), setExpr(), and TaQLNodeHRValue().

## itsInt

Int casacore::TaQLNodeHRValue::itsInt

private

Definition at line 311 of file TaQLNodeHandler.h.

Referenced by getInt(), setInt(), TaQLNodeHRValue(), and TaQLNodeHRValue().

## itsNameMask

String casacore::TaQLNodeHRValue::itsNameMask

private

Definition at line 314 of file TaQLNodeHandler.h.

Referenced by getNameMask(), and setNameMask().

## itsNames

Vector<String> casacore::TaQLNodeHRValue::itsNames

private

Definition at line 322 of file TaQLNodeHandler.h.

Referenced by getNames(), setNames(), TaQLNodeHRValue(), and TaQLNodeHRValue().

## itsRecord

Record casacore::TaQLNodeHRValue::itsRecord

private

Definition at line 316 of file TaQLNodeHandler.h.

Referenced by getRecord(), and setRecord().

## itsSet

TableExprNodeSet* casacore::TaQLNodeHRValue::itsSet

private

Definition at line 321 of file TaQLNodeHandler.h.

Referenced by getExprSet(), setExprSet(), TaQLNodeHRValue(), and TaQLNodeHRValue().

## itsString

String casacore::TaQLNodeHRValue::itsString

private

Definition at line 312 of file TaQLNodeHandler.h.

Referenced by getString(), and setString().

## itsTable

Table casacore::TaQLNodeHRValue::itsTable

private

Definition at line 318 of file TaQLNodeHandler.h.

Referenced by getTable(), and setTable().

## itsVH

ValueHolder casacore::TaQLNodeHRValue::itsVH

private

Definition at line 317 of file TaQLNodeHandler.h.

Referenced by getValueHolder(), and setValueHolder().

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeHandler.h